/*
 * FormelZelle.java	01.07.99
 *
 *
 * Beilage zum Buch "Software-Entwurf mit UML"
 * von J.Seemann & J. Wolff von Gudenberg,
 * Springer-Verlag, 1999
 * 
 */

 
/** <i>Eine Zelle, die eine Formel beinhaltet (Details siehe Klasse Zelle)</i> */
 
public class FormelZelle extends WertZelle
{
   String FormelText;
   Knoten ParseBaum;

   public String getAnzeige()  
   {  
      Wert = getWert();
      return super.getAnzeige();
   }

   public String getInhalt()  { return FormelText; }

	 public double getWert()  
   {
      return ParseBaum.auswerten();
   }

   FormelZelle(AnzeigeZelle View, Knoten ParseBaum, String FormelText)
   { 
      super(View,0);
      this.FormelText = FormelText;
      this.ParseBaum = ParseBaum;
   }

   public Zelle kopie()
   {
      Zelle z = new FormelZelle(null,ParseBaum,FormelText);
      z.Ausrichtung = Ausrichtung;
      z.Nachkomma = Nachkomma;
      return z;
   }
}